Bulk Update Call Queue
curl --request POST \
--url https://api.getoutbox.ai/agent/queue/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "all"
}
'import requests
url = "https://api.getoutbox.ai/agent/queue/bulk/"
payload = { "status": "all" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'all'})
};
fetch('https://api.getoutbox.ai/agent/queue/bulk/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Call Queue
Bulk Update Call Queue
Apply an action to every call queue item that matches an optional status filter for the authenticated company. Use this to pause, unpause, or clear an entire queue without enumerating IDs.
POST
/
agent
/
queue
/
bulk
/
Bulk Update Call Queue
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
200
Action applied to every matching queue item.
⌘I

